PLGXAX(3)

NAME
plgxax - Get x axis parameters

SYNOPSIS
plgxax(p_digmax, p_digits)

DESCRIPTION

Returns current values of the p_digmax and p_digits flags for the x axis. p_digits is updated after the plot is drawn, so this routine should only be called after the call to plbox(3) (or plbox3(3)) is complete. See the PLplot documentation for more information.

Redacted form: plgxax(p_digmax, p_digits)

This function is used in example 31.

ARGUMENTS

p_digmax (PLINT_NC_SCALAR(3), output)
    Returned value of the maximum number of digits for the x axis. If nonzero, the printed label has been switched to a floating-point representation when the number of digits exceeds this value.

p_digits (PLINT_NC_SCALAR(3), output)
    Returned value of the actual number of digits for the numeric labels (x axis) from the last plot.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.